# class RDoc::Parser::RD

Parse a `RD` format file. The parsed RDoc::Markup::Document is attached as a file comment.

### Public Instance Methods

scan() click to toggle source

Creates an rd-format TopLevel for the given file.

    # File lib/rdoc/parser/rd.rb, line 15
    def scan
      comment = RDoc::Comment.new @content, @top_level
      comment.format = 'rd'

      @top_level.comment = comment
    end